package GSP.control;


import java.util.List;

import GSP.data.Sequence;
import GSP.data.Sequences;


public interface SequentialAssocRuleMiner {
   int getMinSupportLevel();
   void setMinSupportLevel(int level);
   Sequences findMaxPatterns(Iterable<? extends Sequence> database, List<String> uniqueItems);
   Sequences minePatterns(Iterable<? extends Sequence> database, List<String> uniqueItems, long maxTimeWindow);
   Sequences minePatterns(Iterable<? extends Sequence> database, List<String> uniqueItems);
}
