package SHOD;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;

public class StrictMultisequenceHSP {
	
	private BufferedWriter writer;
	private FileInputStream fin;
	
	public StrictMultisequenceHSP(String inputPath, String outputPath) throws Exception{	
		fin = new FileInputStream(new File(inputPath));
		writer = new BufferedWriter(new FileWriter(outputPath)); 
	}

	public void generateDailySequentialDB() {
		
		BufferedReader myInput = null;
		String thisLine; // variable to read a line
		
		 try {    
				myInput = new BufferedReader(new InputStreamReader(fin));
				
				int count = 0; 
			
				// we read the file line by line until the end of the file
				while ((thisLine = myInput.readLine()) != null) {
					// we split the line according to spaces
					String[] split = thisLine.split("-1"); //-1 this is changed sept 20th,19
					// for each item on this line
					
					for(String itemString : split)
					{
					
						String product=itemString.replace("\t",",");
						String product1=product.substring(0, product.lastIndexOf(","));
						product1 = product1.startsWith(",") ? product1.substring(1) : product1;		
						
					    writer.write("\"");
						writer.write(product1); 
						writer.write("\"");
						writer.write(",");
						
					}
					count++; 
					writer.newLine();
				}
		    	
		    
		    	writer.close();
				myInput.close(); 	
		    	 	   	
	    } catch (IOException e) {
	        e.printStackTrace();
	    } 
		 

	}

}
