package GSP.control;


import java.util.List;

import GSP.data.Sequence;
import GSP.data.Sequences;

public abstract class AbstractSequentialAssocRuleMiner implements SequentialAssocRuleMiner {

   private int minSupportLevel;

   public int getMinSupportLevel() {
      return minSupportLevel;
   }

   public void setMinSupportLevel(int minSupportLevel) {
      this.minSupportLevel = minSupportLevel;
   }

   public abstract Sequences minePatterns(Iterable<? extends Sequence> database, List<String> uniqueItems, long maxTimeWindow);
   
   public  Sequences minePatterns(Iterable<? extends Sequence> database, List<String> uniqueItems) {
      return minePatterns(database, uniqueItems, -1);
   }

   public Sequences findMaxPatterns(Iterable<? extends Sequence> database, List<String> uniqueItems) {
       return null;
   }
}
