package SHOD;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashSet;

public class StrictSequencePhilippeFormat {
	
	private String outputPath;
	private String inputPath;
	
	public StrictSequencePhilippeFormat(String inputPath, String outputPath) {
		this.inputPath = inputPath;
		this.outputPath = outputPath;
	}
	
	public void execute() {
		
		BufferedReader myInput = null;
		String thisLine; // variable to read a line
		
		 try {    
	        	
	        	BufferedWriter writer = new BufferedWriter(new FileWriter(outputPath)); 
				FileInputStream fin = new FileInputStream(new File(inputPath));
				myInput = new BufferedReader(new InputStreamReader(fin));
								
				int count = 0; 
				
				// we read the file line by line until the end of the file
				while ((thisLine = myInput.readLine()) != null) {
					// we split the line according to spaces
					String[] split = thisLine.split("-1");
					// for each item on this line
					
					
					
					for(String itemString : split)
					{
						writer.write(itemString + " -1 "); 
					}
					// we write the end of the line
					writer.write("-2");
					count++; // we increase the number of line that was read until now
					
					// start a new line
					writer.newLine();
				}
		    	
				myInput.close(); 	
		    	 	   	
	    } catch (IOException e) {
	        e.printStackTrace();
	    } 

	}

}
