/**
	This program is very simple to use. All you need is the ClickData.txt and PurchaseData.txt. Once the program is running just insert the paths to the data
	and after it is done it will output the amount of users who only clicked and did not purchase.
**/
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Value_Finder {

    public static void main(String[] args) {
        
        ArrayList<String> list1 = new ArrayList<>();
        ArrayList<String> list2 = new ArrayList<>();
        Scanner myScanner = new Scanner(System.in);
        Pattern p = Pattern.compile("(\\d+)");
        File data;
        String ClickPath;
        String PurchasePath;


        System.out.println("Please enter the ClickData file path: ");
        ClickPath = myScanner.next();
        System.out.println("Please enter the PurchaseData file path: ");
        PurchasePath = myScanner.next();
        
        try {
            data = new File(ClickPath);
            Scanner myReader = new Scanner(data);
            while(myReader.hasNextLine()) {
                String line = myReader.nextLine();
                    Matcher m = p.matcher(line);
                    m.find();
                    //System.out.println(m.group(1));
                    if(!list1.contains(m.group(1))) {
                        list1.add(m.group(1));
                    }
            }

        } catch (FileNotFoundException e) {
            System.out.println("An error occurred.");
            e.printStackTrace();
        }

        try {
            data = new File(PurchasePath);
            Scanner myReader = new Scanner(data);
            while(myReader.hasNextLine()) {
                String line = myReader.nextLine();
                    Matcher m = p.matcher(line);
                    m.find();
                    //System.out.println(m.group(1));
                    if(!list2.contains(m.group(1))) {
                        list2.add(m.group(1));
                    }
            }
            
        } catch (FileNotFoundException e) {
            System.out.println("An error occurred.");
            e.printStackTrace();
        }

        list1.removeAll(list2);
        //System.out.println(list1);

        System.out.println("The amount of user who did not purhcase is: " + list1.size());
    }
}
